Package pygccxml :: Package utils :: Class enum

# type enum

source code

    object --+
             |
            enum

Known Subclasses:
  - msvc.pdb.enums.BasicType
  - , msvc.pdb.enums.CV_access_e
  - , msvc.pdb.enums.DataKind
  - , msvc.pdb.enums.NameSearchOptions
  - , msvc.pdb.enums.UdtKind

    Usage example:
    class fruits(enum):
        apple = 0
        orange = 1

    fruits.has_value( 1 )
    fruits.name_of( 1 )

Class Methods

has_value(cls, enum_numeric_value) | source code

name_of(cls, enum_numeric_value) | source code